<?php

	$archivo_foro = "contenido/foro/foro.txt";


	function enviar_mensaje($nombre, $email, $asunto, $contenido)
	{
		global $archivo_foro;
		
		$nombre = htmlentities(strip_tags($nombre));
		$email = htmlentities(strip_tags($email));
		$asunto = htmlentities(strip_tags($asunto));
		$contenido = nl2br(htmlentities(strip_tags($contenido)));

		$hora = date("H:i:s");
		$fecha = date("d/m/Y");

		$mensaje = '<?php mensaje("' . $nombre . '", "' . $asunto . '", "' . $contenido . '", "' . $email . '", "' . $hora . '", "' . $fecha . '"); ?>';
		
		if (!file_exists($archivo_foro))
		{
			$puntero = fopen($archivo_foro, "a+b");
			fclose($puntero);
		}
		
		$puntero = fopen($archivo_foro, "rb");
		$lineas = Array();
		while ($linea = fgets($puntero))
		{
			$lineas[] = $linea;
		}
		fclose($puntero);
		
		$puntero = fopen($archivo_foro, "wb");
		$operacion = fputs($puntero, $mensaje . "\r\n\r\n");
		foreach ($lineas as $linea) { fputs($puntero, $linea); }
		fclose($puntero);
	
		return $operacion;
	}


	function mostrar_mensajes()
	{
		global $archivo_foro;
		include $archivo_foro;
		return;
	}
	
	
	function mensaje($nombre, $asunto, $contenido, $email = "", $hora, $fecha)
	{
		$nombre = truncar_palabras($nombre, 10);
		$asunto = truncar_palabras($asunto, 28);
		$contenido = truncar_palabras($contenido, 28);
		
		?>
			<br>
			<br>
			<table width="80%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="20" background="img/tabla/esquina_izquierda.gif">
						<img src="img/blank.gif" width="1" height="1" hspace="0" vspace="0" alt="" title="" align="center" border="0">
					</td>
					<td width="20%" height="25" align="center" valign="bottom" background="img/tabla/centro.gif">
						<table cellspacing="0" cellpadding="2" width="170"><tr><td>
						<center>
						<font color="#0000aa" size="2" face="courier">
						<?php echo $fecha; ?>
						</font>
						<font color="#0000aa" size="1" face="courier">
						<?php echo $hora; ?>
						</font>
						</center>
						</td></tr></table>
					</td>
					<td width="20" background="img/tabla/esquina_derecha.gif">
						<img src="img/blank.gif" width="1" height="1" hspace="0" vspace="0" alt="" title="" align="center" border="0">
					</td>
					<td>
						<img src="img/blank.gif" width="1" height="1" hspace="0" vspace="0" alt="" title="" align="center" border="0">
					</td>
				</tr>
				<tr>
					<td width="20" bgcolor="#0000aa"">
						<img src="img/blank.gif" width="1" height="1" hspace="0" vspace="0" alt="" title="" align="center" border="0">
					</td>
					<td width="20%" align="center" bgcolor="#0000aa" valign="top">
						<br>
						<center>
						<table border="0" align="center" cellspacing="5" cellspacing="0" bgcolor="#0000aa">
							<tr>
								<td align="center" valign="top">
									<center>
									
									<font color="#ffffff" size="2" face="verdana">
									<?php
									if (trim($email) == "") { echo $nombre; }
									else
									{
									?>
										<a href="mailto:<?php echo $email; ?>" class="enlace"><?php echo $nombre; ?></a>
										</font>
									<?php
									}
									?>
									
									</center>
								</td>
							</tr>
						</table>
						</center>
						<br>
					</td>
					<td width="20" bgcolor="#0000aa">
						<img src="img/blank.gif" width="1" height="1" hspace="0" vspace="0" alt="" title="" align="center" border="0">
					</td>
					<td align="left" valign="top" bgcolor="#0000aa">
						<center>
						<table width="95%" align="center" border="0" cellpadding="4" cellspacing="4">
							<?php
							if (trim($asunto) != "")
							{
							?>
							<tr>
								<td align="center" bgcolor="#ffffff" title="<?php echo $asunto; ?>">
									<center>
									<font color="#0000aa" size="4" face="arial">
									<?php echo $asunto; ?>
									</font>
									</center>
								</td>
							</tr>
							<?php
							}
							?>
							<tr>
								<td>
									<font color="#ffffff" size="3" face="verdana">
									<?php echo $contenido; ?>
									</font>
								</td>
							</tr>
						</table>
						</center>
				 	</td>
				</tr>
			</table>
		<?php
	}
	

	function truncar_palabras($texto, $longitud)
	{
		$contador = 0;
		for ($x = 0; $x < strlen($texto); $x++)
		{
			//$caracter = substr($texto, $x, 1);
			$caracter = $texto{$x};

			if ($caracter == "<")
			{
				if (substr($texto, $x, 3) == "<br>" || substr($texto, $x, 6) == "<br />") { $contador = 0; }
			}
			else if ($caracter == " " || html_entity_decode($caracter) == " ") { $contador = 0; }
			else { $contador++; }
			
			if ($contador >= $longitud) { $contador = 0; $texto = substr($texto, 0, $x) . "<br>" . substr($texto, $x+1); }
		}
		
		return $texto;
	}
?>
